<?php
/*
  $Id: fribetaling.php

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2006 Jakob Hy Biegel

  Released under the GNU General Public License
*/

  class fribetaling {
    var $code, $title, $description, $enabled, $order_id;

// class constructor
    function fribetaling() {
      global $order;

      $this->code = 'fribetaling';
      $this->title = MODULE_PAYMENT_FRIBETALING_TEXT_TITLE;
      $this->description = MODULE_PAYMENT_FRIBETALING_TEXT_DESCRIPTION;
      $this->sort_order = MODULE_PAYMENT_FRIBETALING_SORT_ORDER;
      $this->email_footer = MODULE_PAYMENT_FRIBETALING_TEXT_EMAIL_FOOTER;
      $this->enabled = ((MODULE_PAYMENT_FRIBETALING_STATUS == 'True') ? true : false);

      if ((int)MODULE_PAYMENT_FRIBETALING_ORDER_STATUS_ID > 0) {
        $this->order_status = MODULE_PAYMENT_FRIBETALING_ORDER_STATUS_ID;
      }

      if (is_object($order)) $this->update_status();

    }

// class methods
    function update_status() {
      global $order;

      if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_FRIBETALING_ZONE > 0) ) {
        $check_flag = false;
        $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_FRIBETALING_ZONE . "' and zone_country_id = '" . $order->billing['country']['id'] . "' order by zone_id");
        while ($check = tep_db_fetch_array($check_query)) {
          if ($check['zone_id'] < 1) {
            $check_flag = true;
            break;
          } elseif ($check['zone_id'] == $order->billing['zone_id']) {
            $check_flag = true;
            break;
          }
        }

        if ($check_flag == false) {
          $this->enabled = false;
        }
      }
    }

    function javascript_validation() {
      return false;
    }

    function selection() {
      return array('id' => $this->code,
                   'module' => $this->title);
    }

    function pre_confirmation_check() {
      return false;
    }

    function confirmation() {
      return array('title' => MODULE_PAYMENT_FRIBETALING_TEXT_DESCRIPTION);
    }

    function process_button() {
      return false;
    }

    function before_process() {
      global $order, $currencies, $language, $order_id, $order_total_modules;            

      if (tep_session_is_registered('cc_transactionid')) {
        // Order has already been processed with this payment module
        return;
      }     

      // We need order_id to pass to the gateway
      // But we do not have the order_id at this moment. 
      // So instead we create the order_id now and bypass the usual checkout_process.php function
      if (!tep_session_is_registered('order_id')) {
        tep_session_register('order_id');
// vent med at lave order_id til checkout_fribetaling.php 
        //$order_id = $this->create_order();
      }
      
      if (MODULE_PAYMENT_FRIBETALING_LOCALFORM == 'False') {
        $binary_gateway = 'https://remoteload.fribetaling.dk/remoteload.cfm?version=4&reload=1&page=';
//$url = urlencode(tep_href_link(FILENAME_CHECKOUT_FRIBETALING, tep_session_name() . '=' . tep_session_id(), 'NONSSL'));
		$url = urlencode(tep_href_link(FILENAME_CHECKOUT_FRIBETALING, tep_session_name() . '=' . tep_session_id() . '&time=' . time(), 'NONSSL')); 
        tep_redirect($binary_gateway . $url);
      } else {
        // Here we want to show the fribetaling payment window.
        tep_redirect(tep_href_link(FILENAME_CHECKOUT_FRIBETALING, '', 'SSL'));
      }
    }

    function after_process() {
      tep_session_unregister('order_id');
      tep_session_unregister('cc_transactionid');
      tep_session_unregister('order_amount');
    }

    function get_error() {
      global $HTTP_GET_VARS;
      if (isset($HTTP_GET_VARS['Error'])) {
        return urldecode($HTTP_GET_VARS['Error']);
      }
      return ERROR_TRANSACTION_DECLINED; 
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_FRIBETALING_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Fribetaling Module', 'MODULE_PAYMENT_FRIBETALING_STATUS', 'True', 'Do you want to accept FRIBetaling payments?', '6', '3', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Payment Zone', 'MODULE_PAYMENT_FRIBETALING_ZONE', '0', 'If a zone is selected, only enable this payment method for that zone.', '6', '2', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('FRIBetaling merchant id', 'MODULE_PAYMENT_FRIBETALING_SHOPID', '', 'Enter merchant id', '6', '6', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Mode', 'MODULE_PAYMENT_FRIBETALING_TESTMODE', '', 'Change mode of payment gateway (only change for testing purpose)', '6', '7', 'tep_cfg_select_option(array(\'\', \'Accept transactions (Testmode)\', \'Decline transactions (Testmode)\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Set MD5 Key', 'MODULE_PAYMENT_FRIBETALING_MD5KEY', '', 'The MD5 key for your FRIBetaling Payment Gateway (leave empty if you do not wish to use MD5 Key)', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Local Payment Form', 'MODULE_PAYMENT_FRIBETALING_LOCALFORM', 'False', 'True if your payment-submiting form is located on your own secure webserver. False if the form is called through a secure payment-gateway', '6', '5', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_PAYMENT_FRIBETALING_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Set Order Status', 'MODULE_PAYMENT_FRIBETALING_ORDER_STATUS_ID', '0', 'Set the status of orders made with this payment module to this value', '6', '0', 'tep_cfg_pull_down_order_statuses(', 'tep_get_order_status_name', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_PAYMENT_FRIBETALING_STATUS', 'MODULE_PAYMENT_FRIBETALING_ZONE', 'MODULE_PAYMENT_FRIBETALING_SHOPID', 'MODULE_PAYMENT_FRIBETALING_TESTMODE', 'MODULE_PAYMENT_FRIBETALING_MD5KEY', 'MODULE_PAYMENT_FRIBETALING_LOCALFORM', 'MODULE_PAYMENT_FRIBETALING_ORDER_STATUS_ID', 'MODULE_PAYMENT_FRIBETALING_SORT_ORDER');
    }

    function create_order() {
      global $customer_id;

      // Create an entry in the orders-table in order to get an order-id we can use
      // This entry only works as a reservation.
      // If no other data is added, the order will not be displayed in OsCommerce
      $sql_data_array = array('customers_id' => $customer_id,
                              'date_purchased' => 'now()', 
                              'orders_status' => 0);
      tep_db_perform(TABLE_ORDERS, $sql_data_array);
      return tep_db_insert_id();
    }
  }
?>
